package java.security.interfaces;

import java.security.InvalidParameterException;
import java.security.SecureRandom;

public interface DSAKeyPairGenerator
{
    public abstract void initialize(DSAParams p0, SecureRandom p1) throws InvalidParameterException;
    
    public abstract void initialize(int p0, boolean p1, SecureRandom p2) throws InvalidParameterException;
}
